function WidgetsMetaData() {
    this.getExpiredSession = function() {
        return {
            "name": "EXPIRED_SESSION",
            "label": "Sessão Expirada",
            "isVisible": true,
            "showDescriptionOrder": false,
            "showAsModal": true,
            "template": "widget/form.html",
            "tekLibExpiredSession": true,
            "actions": [
                {
                    "name": "CONFIRM",
                    "label": "Confirmar",
                    "showAsAction": "never",
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "LibLoginController.expiredSessionActionEventConfirm(args)"
                        }
                    ]
                },
                {
                    "name": "CANCEL",
                    "label": "Sair",
                    "showAsAction": "back",
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "LibLoginController.expiredSessionActionEventCancel()"
                        }
                    ]
                }
            ],
            "events": [],
            "dataSource": [],
            "fields": [
                {
                    "name": "OPERATOR",
                    "label": "Usuário",
                    "template": "field/text-edit.html",
                    "class": 12,
                    "readOnly": true,
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true
                },
                {
                    "name": "PASSWORD",
                    "label": "Senha",
                    "template": "field/password.html",
                    "class": 12,
                    "focused": true,
                    "validations":{
                        required: true
                    },
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "events":[
                        {
                            "name": "FieldOnKeyup",
                            "code": "LibLoginController.expiredSessionFieldOnKeyupPassword(args)"
                        }
                    ]
                }
            ]
        };
    };

    this.getPageViewNotice = function() {
        return {
            "name": "PAGEVIEWNOTICE",
            "label": "",
            "template": "widget/form.html",
            "showDescriptionOrder": false,
            "showAsModal": true,
            "isVisible": true,
            "width": "85%",
            "height": "90%",
            "actions": [
                {
                    "name": "close",
                    "label": "Fechar",
                    "isVisible": true,
                    "hideIcon": true,
                    "showAsAction": "back",
                    "events": [
                        {
                            "id": "363705655463155833317",
                            "name": "ActionEvent",
                            "code": "LibLoginController.pageViewNoticeActionEventCancel()"
                        }
                    ]
                }
            ],
            "events": [],
            "dataSource": {},
            "fields": [
                {
                    "id": "13464068121582746262789",
                    "name": "PDF",
                    "label": "",
                    "class": 12,
                    "template": "field/textarea.html",
                    "readOnly": true,
                    "isVisible": true,
                    "showOnList": false,
                    "showOnView": true,
                    "showOnForm": true,
                    "toolbar": {
                        "undo": false,
                        "redo": false,
                        "bold": false,
                        "italic": false,
                        "underline": false,
                        "superscript": false,
                        "subscript": false,
                        "strikethrough": false,
                        "clear": false,
                        "fontname": false,
                        "fontsize": false,
                        "color": false,
                        "ul": false,
                        "ol": false,
                        "paragraph": false,
                        "lineheight": false,
                        "table": false,
                        "picture": false,
                        "codeview": false
                    }
                }
            ]
        };
    };

    this.getPHPErrorLogFiles = function() {
        return {
            "id": "363705655463451456155833317",
            "name": "PHP_ERROR_LOG_FILES",
            "label": "Arquivos de log do PHP",
            "template": "widget/grid.html",
            "showDescriptionOrder": false,
            "showAsModal": true,
            "hasPagination": false,
            "searchWithPagination": false,
            "isVisible": true,
            "width": "70%",
            "height": "85%",
            "floatingControl": {
                "searchAction": true,
                "reportAction": true,
                "refreshAction": false,
                "customizationAction": {
                    "layout": false,
                    "filter": false,
                    "view": false
                },
            },
            "actions": [
                {
                    "name": "close",
                    "label": "Cancelar",
                    "isVisible": true,
                    "hideIcon": true,
                    "showAsAction": "back",
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "LibLoginController.phpErrorLogFilesActionEventCancel()"
                        }
                    ]
                },
                {
                    "icon": "download",
                    "name": "download",
                    "tooltip": "Baixar arquivo",
                    "isVisible": true,
                    "showAsAction": "grid-right",
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "LibLoginController.downloadPHPErrorLog(args)"
                        }
                    ]
                }
            ],
            "events": [],
            "dataSource": {
                "rest": false,
                "data": []
            },
            "fields": [
                {
                    "id": "134640648714121582746262789",
                    "name": "NAME",
                    "label": "Arquivo",
                    "template": "field/text-edit.html",
                    "isVisible": true,
                    "showOnList": true
                },
                {
                    "id": "1346406845105478158274626278",
                    "name": "SIZE",
                    "label": "Tamanho",
                    "template": "field/text-edit.html",
                    "isVisible": true,
                    "showOnList": true
                },
                {
                    "id": "134640687485721582746262789",
                    "name": "LAST_MODIFIED",
                    "label": "Última Modificação",
                    "template": "field/text-edit.html",
                    "isVisible": true,
                    "showOnList": true
                }
            ]
        };
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('WidgetsMetaData', WidgetsMetaData);
});
